export default class KnownHeadphone {
    readonly name: string;
    readonly productId: number;
    readonly batteryPercentIdx: number;
    readonly writeBytes: number[];
    readonly chargingStatusIdx?: number | undefined;
    readonly micStatusIdx?: number | undefined;
    path?: string | undefined;
    readonly vendorId: number;
    static ArctisVendorID: number;
    static ArctisPro_Wirelress: number;
    static Arctis7_2017_ProductID: number;
    static Arctis7_2019_ProductID: number;
    static ArctisPro_2019_ProductID: number;
    static ArctisPro_GameDac_ProductID: number;
    static Arctis1W_ProductID: number;
    static Arctis1X_ProductID: number;
    static Arctis7X_ProductID: number;
    static Arctis9_ProductID: number;
    static Arctis7_Plus_ProductID: number;
    static Arctis7_Plus_Destiny_ProductID: number;
    static Arctis7P_Plus_ProductID: number;
    static Arctis7X_Plus_ProductID: number;
    static ArctisNova7_ProductID: number;
    static ArctisNova7X_ProductID: number;
    static ArctisNova7P_ProductID: number;
    constructor(name: string, productId: number, batteryPercentIdx: number, writeBytes: number[], chargingStatusIdx?: number | undefined, micStatusIdx?: number | undefined, path?: string | undefined, vendorId?: number);
}
