"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var KnownHeadphone = /** @class */ (function () {
    function KnownHeadphone(name, productId, batteryPercentIdx, writeBytes, chargingStatusIdx, micStatusIdx, path, vendorId) {
        if (vendorId === void 0) { vendorId = KnownHeadphone.ArctisVendorID; }
        this.name = name;
        this.productId = productId;
        this.batteryPercentIdx = batteryPercentIdx;
        this.writeBytes = writeBytes;
        this.chargingStatusIdx = chargingStatusIdx;
        this.micStatusIdx = micStatusIdx;
        this.path = path;
        this.vendorId = vendorId;
    }
    KnownHeadphone.ArctisVendorID = 4152;
    KnownHeadphone.ArctisPro_Wirelress = 0x1290;
    KnownHeadphone.Arctis7_2017_ProductID = 0x1260;
    KnownHeadphone.Arctis7_2019_ProductID = 0x12ad;
    KnownHeadphone.ArctisPro_2019_ProductID = 0x1252;
    KnownHeadphone.ArctisPro_GameDac_ProductID = 0x1280;
    KnownHeadphone.Arctis1W_ProductID = 0x12b3;
    KnownHeadphone.Arctis1X_ProductID = 0x12b6;
    KnownHeadphone.Arctis7X_ProductID = 0x12d7;
    KnownHeadphone.Arctis9_ProductID = 0x12c2;
    KnownHeadphone.Arctis7_Plus_ProductID = 0x220e;
    KnownHeadphone.Arctis7_Plus_Destiny_ProductID = 0x2236;
    KnownHeadphone.Arctis7P_Plus_ProductID = 0x2212;
    KnownHeadphone.Arctis7X_Plus_ProductID = 0x2216;
    KnownHeadphone.ArctisNova7_ProductID = 0x2202;
    KnownHeadphone.ArctisNova7X_ProductID = 0x2206;
    KnownHeadphone.ArctisNova7P_ProductID = 0x220a;
    return KnownHeadphone;
}());
exports.default = KnownHeadphone;
